Subject: Re: [PATCH v2 0/3] contrib/subtree: reduce recursion during split

From: Ben Knoble <[email-masked]>
Date: Wed, 15 Apr 2026 17:39:45 -0400

> Le 15 avr. 2026 à 13:58, Junio C Hamano <[email-masked]> a écrit :
> 
> Junio C Hamano <[email-masked]> writes:
> 
>>>> Depending on the history graph, subtree split can recurse deeply
>>>> enough to encounter this limit. Rewrite the rejoin-deepening
>>>> algorithm to reduce recursive calls.
>>>> 
>>>> ---
>>>> Changes in v2:
>>>> - Rebase on master
>>> 
>>> We have seen two iterations of this series without anybody
>>> commenting on it.  Is it a sign that the topic, or possibly "git
>>> subtree" itself, is of interest to nobody?  Or is it that it is so
>>> well done that nobody had any comment on it?
>>> 
>>> I don't use "git subtree" myself, and I do not know of anybody who
>>> will scream at me if I break it by merging an unreviewed patch, so I
>>> can merge it without worrying too much about fallout personally, but
>>> that is a tad irresponsible as the maintainer ;-)
>>> 
>>> So...?  Any volunteers among those who have a higher stake in the
>>> program than I do (which admittedly is not a high bar to cross)?
>> 
>> FWIW, I can see that [1/3] is a benign clean-up that should not
>> change any semantics.  [2/3] talks about the variable $sub, which is
>> used elsewhere, is not protected ...
>> ... in "git subtree" to verify), but otherwise the change looks benign
>> to me.  I have no idea if what [3/3] does is sensible or not (and
>> again, I'd rather want to see somebody with stakes to double check).
> 
> So, yet not any volunteers?

I have shared with some folks who I thought would have a stake in the matter, but the dearth of replies is evident :)